export interface GenerateOptions {
    selector?: string | HTMLElement;
    color?: {
        primary?: string;
        error?: string;
        warning?: string;
        success?: string;
    } | string;
    variables?: Record<string, string>;
    manualVariables?: string[];
}
export declare function generate(options?: GenerateOptions): Promise<{
    variables: Record<string, string>;
    cssText: string;
}>;
export declare function generateVariables(options?: GenerateOptions): Promise<Record<string, string>>;
declare const _default: {
    generate: typeof generate;
};
export default _default;
